clang 8.0.0

Public Member Functions | List of all members
clang::ento::StoreManager::BindingsHandler Class Referenceabstract

`#include "clang/StaticAnalyzer/Core/PathSensitive/Store.h"`

Inheritance diagram for clang::ento::StoreManager::BindingsHandler:
[legend]

## Public Member Functions
virtual | ~BindingsHandler ()
virtual bool | HandleBinding (StoreManager &SMgr, Store store, const MemRegion *region, SVal val)=0

## Detailed Description

Definition at line 259 of file Store.h.

## Constructor & Destructor Documentation

## ◆ ~BindingsHandler()

StoreManager::BindingsHandler::~BindingsHandler | ( |  | ) |
| virtual default

Referenced by clang::ento::StoreManager::getLValueElement().

## Member Function Documentation

## ◆ HandleBinding()

virtual bool clang::ento::StoreManager::BindingsHandler::HandleBinding | ( | StoreManager & | SMgr,
|  | Store | store,
|  | const MemRegion * | region,
|  | SVal | val
| ) |  |
| pure virtual

Returns
  whether the iteration should continue.

Implemented in clang::ento::StoreManager::FindUniqueBinding.

Referenced by clang::ento::StoreManager::FindUniqueBinding::operator bool().

The documentation for this class was generated from the following files:

- include/clang/StaticAnalyzer/Core/PathSensitive/Store.h
- lib/StaticAnalyzer/Core/Store.cpp